summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorJeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>2015-04-17 17:55:44 +0200
committerJeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>2015-04-17 18:44:05 +0200
commit7d6ecf0e4770c9506102a3482e48e825b4fdfada (patch)
tree05b1428c748a6219a6f0fa9950d705493fa66d86 /autogen.sh
parentb7d0c724af32d3d70cfd48694d3cf113b703c89e (diff)
downloadlibkolab-7d6ecf0e4770c9506102a3482e48e825b4fdfada.tar.gz
Return the correct exitcodes
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh27
1 files changed, 17 insertions, 10 deletions
diff --git a/autogen.sh b/autogen.sh
index cd8ea88..9afb191 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -64,29 +64,36 @@ if [ ${doprep} -eq 1 ]; then
-DPHP_INSTALL_DIR=/usr/lib64/php/modules \
-DPYTHON_BINDINGS=ON \
-DCMAKE_BUILD_TYPE=Release \
- ..
+ .. || exit 1
fi
if [ ${dobuild} -eq 1 ]; then
- make
+ make || exit 1
fi
if [ ${dotest} -eq 1 ]; then
# Execute some tests?
+ retval=0
+
pushd tests
unset DISPLAY
- ./benchmarktest
- ./calendaringtest
- ./formattest
- ./freebusytest
- ./icalendartest
- ./kcalconversiontest
- ./upgradetest
+ ./benchmarktest ; retval=$(( ${retval} + $? ))
+ ./calendaringtest ; retval=$(( ${retval} + $? ))
+ ./formattest ; retval=$(( ${retval} + $? ))
+ ./freebusytest ; retval=$(( ${retval} + $? ))
+ ./icalendartest ; retval=$(( ${retval} + $? ))
+ ./kcalconversiontest ; retval=$(( ${retval} + $? ))
+ ./upgradetest ; retval=$(( ${retval} + $? ))
popd
+
+ if [ ${retval} -ne 0 ]; then
+ echo "FAILED tests."
+ exit ${retval}
+ fi
fi
if [ ${doinstall} -eq 1 ]; then
- make install DESTDIR=${TMPDIR:-/tmp}
+ make install DESTDIR=${TMPDIR:-/tmp} || exit 1
fi
cd ..